Printago API
GET
/v1/profiles/{id}
Get a specific profile
Path Parameters
id
required
string
- The profile ID
Response Schema
Profile
compatibilityListrequired
string
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
datarequired
Record<string, any>
Construct a type with a set of properties K of type T
externalIdrequirednullable
string
idrequired
string
pattern: ^[a-z0-9]{24}$
inheritsrequired
string
integrationIdrequirednullable
string
integrationTyperequirednullable
enum
bambulabetsyshopifyebaytiktok-shopwoocommerceshipstationwixgoogle-driveonedrive
metadatarequired
Record<string, any>
Construct a type with a set of properties K of type T
namerequired
string
sourcerequired
"manual" | "bambu-account"
manualbambu-account
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
typerequired
"process" | "filament" | "machine"
processfilamentmachine
updatedAtrequired
string
format: date-time
Example Response
200 OK — application/json
{
"id": "string",
"name": "string",
"type": "process",
"externalId": "string",
"source": "manual",
"inherits": "string",
"compatibilityList": "string",
"data": {},
"metadata": {},
"integrationId": "string",
"integrationType": "bambulab",
"customMetadata": {},
"storeId": "string",
"updatedAt": "2025-01-15T12:00:00.000Z",
"createdAt": "2025-01-15T12:00:00.000Z"
}